Subject: Re: [Ietf-krb-wg] updated, Kerberos option for DHCPv6

From: Shoichi Sakane <[email-masked]>
Date: Wed, 10 Mar 2010 09:32:59 +0900

All,

About Kerberos option for DHCPv6, I have submitted new version
that includes the capability of providing an IPv4 address.
I think this is almost final version.  You can find it from

    http://tools.ietf.org/html/draft-sakane-dhc-dhcpv6-kdc-option-08

In the meeting at Stockholm, some people gave me suggestions
that the option should have to provide both of families in order
to achieve the transition to IPv6 from IPv4, and the draft
has to describe the recommendation.  I responded to that.

Now, I believe current version is almost ready to the WG last call.
I would like to hear any further comment if you have something.
And if there is no issue, I would like to request the WG chair
to move this document forward.

Unfortunately, I can not attend the meeting at Anaheim due to
my company's request, and I can not join the krb-wg meeting
because I will have to be in the airplane during the meeting
time.  So, if someone will care about the status of this document
in the meeting, I appreciate you very much.

Shoichi Sakane

P.S.
Actually, it seems that there is no description on the WG charter
about the DHCPv6 option, but in the IETF74 meeting, we decided that
this option should be adopted as working group item, and the krb-wg
charter should have to be updated.

On 01/22/2010 06:09 PM, Shoichi Sakane wrote:
> Hi all,
> 
> I have submitted new version of Kerberos option for DHCPv6.
> 
> I have fixed some issues which were described in section of
> the specification consideration.  Only remain issue is to
> provide an IPv4 address or not.
> 
> I added a field of the service type into the KDC sub-option,
> which is defined in section 2.2.  The service type provides
> the type of the transport of the Kerberos exchange.
> It is helpful for a client to determine the way to communicate
> with the KDC.  I think that it would be a solution to solve
> an interoperability issue which explained in section 4 of RFC 5021.
> And I think that it would be helpful for a client to determine
> using STARTTLS.  Love also pointed it out at the meeting in Stockholm.
> 
> I removed the description of other configuration parameters
> to be defined in this document.  These other parameters should
> be defined in the future in another document.
> 
> I described the behavior when the server does not have any information
> to be responded to the client and there is no criteria on the server.
> The text is below.
> 
>    When the server does not have any information to be responded to the
>    client the server SHOULD send the Kerberos option which does not
>    contain any sub-option.  This behavior prevents the client from
>    retransmitting the Information-request message indefinitely.
> 
> Note that the decision of the administrator of the server is
> always accorded priority over this behavior.
> 
> If you have any comment or suggestion, please let me know.
> 
> Best,
> 
> Shoichi Sakane
> _______________________________________________
> ietf-krb-wg mailing list
> [email-masked]
> https://lists.anl.gov/mailman/listinfo/ietf-krb-wg

Subject: I-D Action:draft-sakane-dhc-dhcpv6-kdc-option-08.txt
From: [email-masked]
To: [email-masked]
Date: Mon, 8 Mar 2010 16:00:01 -0800 (PST)
List-Id: Internet Draft Announcements only <i-d-announce.ietf.org>

A New Internet-Draft is available from the on-line Internet-Drafts directories.

	Title           : Kerberos Option for DHCPv6
	Author(s)       : S. Sakane, M. Ishiyama
	Filename        : draft-sakane-dhc-dhcpv6-kdc-option-08.txt
	Pages           : 19
	Date            : 2010-03-08

This document defines a new DHCPv6 option to carry a set of
configuration information related to the Kerberos protocol [RFC4120].
This document also defines three sub-options to be used within this
new option, which specify a realm name of the Kerberos, a list of IP
addresses of the Key Distribution Center of that realm, and a client
principal name to distinguish a Kerberos client by the DHCPv6 server.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-sakane-dhc-dhcpv6-kdc-option-08.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.
_______________________________________________
I-D-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/i-d-announce
Internet-Draft directories: http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
_______________________________________________
ietf-krb-wg mailing list
[email-masked]
https://lists.anl.gov/mailman/listinfo/ietf-krb-wg